- Qt 5.15
- Qt Sensors
- C++ Classes
- QAmbientTemperatureReading
- Qt 5.15.19 Reference Documentation

# QAmbientTemperatureReading Class

The QAmbientTemperatureReading class holds readings of the ambient temperature. More...

Header: | #include <QAmbientTemperatureReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Properties

- temperature : const qreal

## Public Functions

void | setTemperature(qreal temperature)
qreal | temperature() const

## Detailed Description

The ambient (room) temperature is the temperature in degree Celsius.

## Property Documentation

### temperature : const qreal

This property holds the ambient temperature

Measured in degree Celsius.

Access functions:

qreal | temperature() const

## Member Function Documentation

### void QAmbientTemperatureReading::setTemperature(qreal temperature)

Sets ambient temperature to temperature.

See also temperature().